<font size=4>KASUTAJA LISATUD!</font>

<br><br><br>

<A HREF="Avaleht2.php"> Tagasi valikute juurde. </A> 

<?php
    mysql_connect("localhost", "allan", "swiuno97");
    mysql_select_db("allan");


if((strlen($_REQUEST[kasutajanimi])==0)||
   (strlen($_REQUEST[email])==0)||
   (strlen($_REQUEST[nimi])==0)||
   (strlen($_REQUEST[perenimi])==0)||
   (strlen($_REQUEST[parool])==0)){


$a=strlen($_REQUEST[parool]);
$b=strlen($_REQUEST[nimi]);
$c=strlen($_REQUEST[perenimi]);


echo"<BR><BR><BR>";
echo 'Mõni väli on tühi';

}

else
{

if(ereg('^[a-zA-Z0-9]((\.|_)?[[:alnum:]]+)+@([[:alnum:]]+(\.|-)?)+[[:alnum:]]\.[[:alpha:]]{2,}$', $_REQUEST[email])==false)
{

echo"<BR><BR><BR>";
echo 'Email ei sobi !';

}

else
{



if(ereg('^[a-zA-Z]+$', $_REQUEST[nimi])==false)
{
echo"<BR><BR><BR>";
echo 'Eesnimi ei sobi !';

}

else
{

if(ereg('^[a-zA-Z]+$', $_REQUEST[perenimi])==false)
{
echo"<BR><BR><BR>";
echo 'Perenimi ei sobi !';

}

else
{

if(ereg('^[a-zA-Z0-9]+$', $_REQUEST[kasutajanimi])==false)
{
echo"<BR><BR><BR>";
echo 'Kasutajanimi ei sobi !';

}

else
{
if(ereg('^[a-zA-Z0-9]+$', $_REQUEST[parool])==false)
{
echo"<BR><BR><BR>";
echo 'Parool ei sobi !';

}

else
{

$a=strlen($_REQUEST[parool]);
$b=strlen($_REQUEST[nimi]);
$c=strlen($_REQUEST[perenimi]);


echo $a;

if($b < 3)
{
echo"<BR><BR><BR>";
echo 'Nimi on liiga lühike!';
}
else
{

if($a < 5)
{
echo"<BR><BR><BR>";
echo 'Parool on väiksem kui viis tähte!';
}
else
{

if($c < 3)
{
echo"<BR><BR><BR>";
echo 'Perekonnanimi ei sobi!';
}
else
{





$parool=md5($_REQUEST[parool]);
        

$kasutajanimi=addslashes($_REQUEST[kasutajanimi]);
$parool2=addslashes($parool);
$nimi=addslashes($_REQUEST[nimi]);
$perenimi=addslashes($_REQUEST[perenimi]);
$email=addslashes($_REQUEST[email]);

$Kasutajanimi=htmlspecialchars(stripslashes($kasutajanimi));
$Parool2=htmlspecialchars(stripslashes($parool2));
$Nimi=htmlspecialchars(stripslashes($nimi));
$Perenimi=htmlspecialchars(stripslashes($perenimi));
$Email=htmlspecialchars(stripslashes($email));


$lause="INSERT INTO kasutajad (kasutajanimi,password,nimi,perenimi,email) values
('$Kasutajanimi','$Parool2','$Nimi','$Perenimi','$Email')";

echo"Kasutaja ".stripslashes(addslashes($_REQUEST[kasutajanimi]))." lisatud !";
}
}
}
}
}
}
}
}
}

 



mysql_query($lause);
    mysql_close();
?>